Api referenceTopics
Update a topic
Updates named fields. Changing the default does not change any explicit subscription status. Null clears a publishing default.
Updates named fields. Changing the default does not change any explicit subscription status. Null clears a publishing default.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^unsub_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name?|null
description?string|null|null
default?|null
archiveEnabled?boolean|null
publicationSlug?|null|null
defaultSenderId?|null|null
replyMailboxId?|null|null
templateId?|null|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/topics/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "namespaceId": "string", "name": "string", "description": "string", "default": "opt_out", "isDefault": true, "defaultSenderId": "string", "replyMailboxId": "string", "templateId": "string", "archiveEnabled": true, "publicationSlug": "string", "subscriptions": { "email": { "subscribed": 0, "unsubscribed": 0 } }, "createdAt": "string", "updatedAt": "string"}